# Class ConcreteNumbering

#### Hierarchy

- XmlComponent
  - ConcreteNumbering

- Defined in file/numbering/num.ts:45

#####
Index

### Constructors

constructor

### Properties

instance
numId
reference

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ConcreteNumbering(options): ConcreteNumbering

- #### Parameters

  - ##### options: IConcreteNumberingOptions

  #### Returns ConcreteNumbering

  Overrides XmlComponent.constructor

  - Defined in file/numbering/num.ts:50

## Properties

### `Readonly` instance

instance: number

- Defined in file/numbering/num.ts:48

### `Readonly` numId

numId: number

- Defined in file/numbering/num.ts:46

### `Readonly` reference

reference: string

- Defined in file/numbering/num.ts:47

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc